# TExtensions<T> extension

on
  - T?

## Properties

isNotNull → bool

  Available on T?, provided by the TExtensions extension

  Checks if the value is not null.
  no setter
isNull → bool

  Available on T?, provided by the TExtensions extension

  Checks if the value is null.
  no setter

## Methods

also(void action(T?)) → T?

  Available on T?, provided by the TExtensions extension

  Executes the given `action` if the value is null.
equals(T? value) → bool

  Available on T?, provided by the TExtensions extension

  Checks for equality between the current `T` and the method `value`
getOrThrow([String? message]) → T

  Available on T?, provided by the TExtensions extension

  Returns this value if it is not null, otherwise throws a `JetException`.
instanceOf<E>() → bool

  Available on T?, provided by the TExtensions extension

  Checks if the given `this` is an instance of `E` type.
isBlank() → bool

  Available on T?, provided by the TExtensions extension

  Checks if data is blank (empty or only contains whitespace).
isNullOrBlank() → bool

  Available on T?, provided by the TExtensions extension

  Checks if data is null or blank (empty or only contains whitespace).
let<R>(R action(T)) → R?

  Available on T?, provided by the TExtensions extension

  Executes the given `action` if the value is not null.
notEquals(T? value) → bool

  Available on T?, provided by the TExtensions extension

  Checks for in-equality between the current `T` and the method `value`
orElse(T? orElse) → T?

  Available on T?, provided by the TExtensions extension

  Returns the value if it's not null, otherwise returns `orElse`.